"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateInitialCoverage = void 0;
var _fs = _interopRequireDefault(require("fs"));
var _path = _interopRequireDefault(require("path"));
var _extractCoverageData = require("./extract-coverage-data");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const generateInitialCoverage = (paramsPath, serviceParams) => {
  const initialCoverageDataForTheCurrentFile = (0, _extractCoverageData.extractCoverageData)(paramsPath);
  // 判断是否是CI环境
  // CI环境才生成.canyon_output/coverage-final.json文件
  if (serviceParams.ci) {
    const filePath = './.canyon_output/coverage-final.json';
    const dir = _path.default.dirname(filePath);
    if (!_fs.default.existsSync(dir)) {
      _fs.default.mkdirSync(dir, {
        recursive: true
      });
    }
    // 防止返回的数据为空
    if (initialCoverageDataForTheCurrentFile && initialCoverageDataForTheCurrentFile.path) {
      _fs.default.writeFileSync(`./.canyon_output/coverage-final-${String(Math.random()).replace('0.', '')}.json`, JSON.stringify({
        [initialCoverageDataForTheCurrentFile.path]: initialCoverageDataForTheCurrentFile
      }, null, 2), 'utf-8');
    }
  }
  return initialCoverageDataForTheCurrentFile;
};
exports.generateInitialCoverage = generateInitialCoverage;